Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 09-16-02, 04:32 PM   #1
woffutt
Guest
 
Posts: n/a
Default Help! Can anyone tell me if I've got the right Nvidia 3123 kernel for RH7.3/Athlon?

This is an Athlon box... I figured that means I need the 3123 Athlon kernel... but for whatever reason my 'clean' and freshly update 7.3 install is using the 2.4.18_10 'i686' kernel... Can someone help me? I'm an experienced NT/2k/XP senior systems engineer who's long been aware of the superiority of Linux, and I've finally decided to take the plunge... in fact, I'm on the verge of destroying my Microshaft install disks (I'm serious...), as an incentive to learning this new stuff... but it ain't easy...
  Reply With Quote
Old 09-16-02, 06:30 PM   #2
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Use the drivers that match the kernel that you're running.

Athlons can run anything that's been compiled for an i686 (which is all that the "-i686" tag means), with no problems at all.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 09-17-02, 01:38 AM   #3
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

Please download and run NVchooser.sh from the driver download page. It will tell you which files you should grab.

Usage: 'sh NVchooser.sh'

Thanks!

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 09-17-02, 03:33 PM   #4
sabre
Guest
 
Posts: n/a
Default Problems with RH7.3 smp athlon kernel

I'm having trouble getting the nvidia drivers working with Redhat 7.3 on an smp kernel. It's giving me:

# insmod /lib/modules/2.4.18-10smp/kernel/drivers/video/NVd
/lib/modules/2.4.18-10smp/kernel/drivers/video/NVdriver: unresolved symbol irq_stat_Rsmp_9c0f14ee
/lib/modules/2.4.18-10smp/kernel/drivers/video/NVdriver:
Hint: You are trying to load a module without a GPL compatible license
and it has unresolved symbols. The module may be trying to access
GPLONLY symbols but the problem is more likely to be a coding or
user error. Contact the module supplier for assistance, only they
can help you.

Here's the output of NVchooser:
# sh ./NVchooser.sh
Please download and install the following files:
NVIDIA_kernel-1.0-3123.rh73smp_2.4.18_10.i686.rpm
NVIDIA_GLX-1.0-3123.i386.rpm

Here's the output of rpm -ivh to show that I have installed the right version:
# rpm -ivh NVIDIA_kernel-1.0-3123.rh73smp_2.4.18_10.i686.rpm
Preparing... ########################################### [100%]
package NVIDIA_kernel-1.0-3123.rh73smp_2.4.18_10 is already installed


Any hints on how to get this t o work?
  Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
upgrade to xorg server 1.13 damaged Geforce 7300 GT KDE NVIDIA Linux 2 09-07-12 08:04 AM
Fatal upgrade: from bad (8800 GTS) to worse 9GTX 560 Ti) ssnyder NVIDIA Linux 1 07-01-12 08:14 PM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM

All times are GMT -5. The time now is 05:45 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.